var textToNumber =
    new Dictionary<string, int>(StringComparer.InvariantCultureIgnoreCase)
{
    { "jeden", 1 },
    { "dwa", 2 },
    { "trzy", 3 },
};

Console.WriteLine($"{textToNumber["trzy"]} jest magiczną liczbą");